#!/bin/bash

if [ `whoami` != "root" ]; then
    echo "You have to run this installer as root.  Exiting.";
    exit;
fi

if [ -z $TWEAKER_ROOT ]; then
    echo "\$TWEAKER_ROOT is not set.";
    echo "I'm setting it to /usr/LH/tweaker for you.";
    export TWEAKER_ROOT=/usr/LH/tweaker;
    if [ `grep -c TWEAKER_ROOT /etc/profile` -lt 1 ]; then
	echo "export TWEAKER_ROOT=/usr/LH/tweaker" >> /etc/profile
    else
	sed -i "s'.*TWEAKER_ROOT.*'export TWEAKER_ROOT=/usr/LH/tweaker'g" /etc/profile
    fi
fi

# Link our tweaker Perl modules for general use
/bin/ln -fs $TWEAKER_ROOT/lib/Tweaker /etc/perl/
/bin/cp $TWEAKER_ROOT/log4perl.conf /etc

# Install needed Perl modules
apt-get update
echo "***"
echo " If CPAN asks if you want to do manual configuration, you"
echo " can probably say no."
echo " Agree to install all dependencies."
echo "***"
sleep 7
apt-get install libdbi-perl liblog-log4perl-perl
cpan Getopt::Lucid List::Member Log::Dispatch
